import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDoorLockClusterAppleAliroLockOperationErrorEvent extends _NSObject {
    static alloc(): _MTRDoorLockClusterAppleAliroLockOperationErrorEvent;
    static new(): _MTRDoorLockClusterAppleAliroLockOperationErrorEvent;
    init(): _MTRDoorLockClusterAppleAliroLockOperationErrorEvent;
    lockOperationType(): _NSNumber;
    setLockOperationType$(value: _NSNumber): void;
    operationError(): _NSNumber;
    setOperationError$(value: _NSNumber): void;
    userIndex(): _NSNumber | null;
    setUserIndex$(value: _NSNumber | null): void;
    fabricIndex(): _NSNumber | null;
    setFabricIndex$(value: _NSNumber | null): void;
    credentials(): _NSArray | null;
    setCredentials$(value: _NSArray | null): void;
}
export interface _MTRDoorLockClusterAppleAliroLockOperationErrorEvent extends _NSCopying {
}
